View Issue Details

IDProjectCategoryView StatusLast Update
0018248LazarusLCLpublic2018-05-08 22:31
Reportertejero carlos germanAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version 
Summary0018248: SynEdit missing highligthers
DescriptionAttach some missing highligthers ported to lazarus.
TagsTSynCacheSyn, TSynGeneralSyn, TSynRCSyn, TSynRubySyn, TSynSDDSyn, TSynSMLSyn, TSynSTSyn, TSynTclTkSyn, TSynUnrealSyn, TSynURISyn, TSynVBScriptSyn, TSynVrml97Syn ported to lazarus
Fixed in Revisionhttps://sourceforge.net/p/lazarus-ccr/svn/HEAD/tree/components/extrasyn/
LazTarget-
Widgetset
Attached Files

Activities

2010-12-18 00:49

 

highligthers.zip (176,134 bytes)

Martin Friebe

2010-12-18 00:57

manager   ~0044312

Thanks, I will look into adding them.

You don't happen to have the icons for them? :)

2010-12-18 19:11

 

icons.zip (12,855 bytes)

tejero carlos german

2010-12-18 19:11

reporter   ~0044349

Icons uploaded!!!

Martin Friebe

2011-05-22 12:50

manager   ~0048492

Sorry for the long time without feedback. Quite busy at the moment.

Also I came to the conclusion that I will have to create a new package for them.

SynEdit is part of the IDE, and putting more and more highlighter in the existing SynEdit package affects the time needed to recompile the IDE.

Alternatively, If you want to, check on the mailing list, if you could get a Lazarus-CCR account => then you can maintain them there yourself.

Reinier Nápoles Martínez

2011-05-27 01:41

reporter   ~0048630

TSynCacheSyn, TSynGeneralSyn, TSynRCSyn, TSynRubySyn, TSynSDDSyn, TSynSMLSyn, TSynSTSyn, TSynTclTkSyn, TSynUnrealSyn, TSynURISyn,
TSynVBScriptSyn, TSynVrml97Syn ported to lazarus

2011-05-27 01:41

 

new Highlighters.7z (157,089 bytes)

John Kozikopoulos

2013-12-09 06:06

reporter   ~0071829

Last edited: 2013-12-09 06:07

View 2 revisions

How about creating an extra package that will be available to the end user to install if s/he needs it?
Let me also say that there is something wrong with the current implementation of these extra highlighters, I haven't look up the problem yet though.

Martin Friebe

2013-12-30 10:52

manager   ~0072102

An extra package would be good, IF it could go into the lazarus-CCR.

John Kozikopoulos

2014-09-15 06:45

reporter   ~0077248

I just attached a 7z file with extra highlighters for synedit they are around 35 highlighters like ruby, haskel, eiffel, fortran, modula 3, CA-Clipper, prolog, cobol etc. It has 2 (RT-runtime and DT - Design time) packages tha cna be used to install them in lazarus and a test application that creates and loads them. Some of the highlighters do not provide sample code for the application to work properly, if you do have some sample code I could add for those highlighters or any other problem or request I can be reached at the lazarus forums.

John Kozikopoulos

2014-09-15 06:45

reporter  

ExtraHighlighters.7z (241,296 bytes)

wp

2018-03-04 01:03

developer   ~0106845

Martin, I checked the highlighters (some compilation issues) and plan to upload them to CCR, folder "extrasyn". Unfortunately sourceforge is down at the moment.

wp

2018-03-04 10:40

developer   ~0106849

Done (see https://sourceforge.net/p/lazarus-ccr/svn/HEAD/tree/components/extrasyn/). After some due time the packages will be made available via Online Package Manager.

To the contributors: Please test and close if ok.

Lagunov Aleksey

2018-03-06 07:58

reporter   ~0106908

not compile on fpc x64

Lazarus 1.9.0 r57449M FPC 3.1.1 x86_64-linux-gtk2

error message:
(3104) Compiling ./SyneditHighlighters/synhighlightercs.pas
/usr/local/share/lazarus/components/extrasyn/./SyneditHighlighters/synhighlightercs.pas(1445,13) Error: (4054) Illegal type conversion: "TRangeState" to "Pointer"
/usr/local/share/lazarus/components/extrasyn/./SyneditHighlighters/synhighlightercs.pas(1512,13) Error: (4054) Illegal type conversion: "Pointer" to "TRangeState"
synhighlightercs.pas(1589) Fatal: (10026) There were 2 errors compiling module, stopping
F

wp

2018-03-06 11:38

developer   ~0106929

Fixed.

Lagunov Aleksey

2018-03-06 12:09

reporter   ~0106931

not compile on linux:

Free Pascal Compiler version 3.1.1 [2018/03/05] for x86_64
Copyright (c) 1993-2018 by Florian Klaempfl and others
(1002) Target OS: Linux for x86-64
(3104) Compiling extrahighlighters.pas
(3104) Compiling ./SyneditHighlighters/synhighlightertcltk.pas
/usr/local/share/lazarus/components/extrasyn/./SyneditHighlighters/synhighlightertcltk.pas(60,3) Fatal: (10022) Can't find unit Windows used by SynHighlighterTclTk
Fatal: (1018) Compilation aborted
Error: /usr/local/bin/ppcx64 returned an error exitcode

wp

2018-03-06 12:29

developer   ~0106933

fixed

Lagunov Aleksey

2018-03-06 13:08

reporter   ~0106936

please - include images.res

current error^

(1002) Target OS: Linux for x86-64
(3104) Compiling extrahighlighters_dsgn.pas
(3104) Compiling uhighlighterreg.pas
/usr/local/share/lazarus/components/extrasyn/uhighlighterreg.pas(97,1) Error: (9031) Can't open resource file "/usr/local/share/lazarus/components/extrasyn/images.res"
/usr/local/share/lazarus/components/extrasyn/uhighlighterreg.pas(97,1) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /usr/local/bin/ppcx64 returned an error exitcode
Error: (lazarus) Компиляция пакета ExtraHighlighters_Dsgn 1.0: stopped with exit code 256
Error: (lazbuild) ExtraHighlighters_Dsgn 1.0 compilation failed

wp

2018-03-06 13:35

developer   ~0106938

fixed

Renat Suleymanov

2018-03-06 14:44

reporter   ~0106947

Is there among this variety any highlighter for Markdown?

wp

2018-03-06 16:00

developer   ~0106955

No

Issue History

Date Modified Username Field Change
2010-12-18 00:49 tejero carlos german New Issue
2010-12-18 00:49 tejero carlos german File Added: highligthers.zip
2010-12-18 00:55 Martin Friebe Status new => assigned
2010-12-18 00:55 Martin Friebe Assigned To => Martin Friebe
2010-12-18 00:57 Martin Friebe Note Added: 0044312
2010-12-18 19:11 tejero carlos german File Added: icons.zip
2010-12-18 19:11 tejero carlos german Note Added: 0044349
2011-05-22 12:50 Martin Friebe Note Added: 0048492
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynCacheSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynGeneralSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynRCSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynRubySyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynSDDSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynSMLSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynSTSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynTclTkSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynUnrealSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynURISyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynVBScriptSyn
2011-05-27 01:40 Reinier Nápoles Martínez Tag Attached: TSynVrml97Syn ported to lazarus
2011-05-27 01:41 Reinier Nápoles Martínez Note Added: 0048630
2011-05-27 01:41 Reinier Nápoles Martínez File Added: new Highlighters.7z
2013-12-09 06:06 John Kozikopoulos Note Added: 0071829
2013-12-09 06:07 John Kozikopoulos Note Edited: 0071829 View Revisions
2013-12-30 10:52 Martin Friebe Note Added: 0072102
2014-09-15 06:45 John Kozikopoulos Note Added: 0077248
2014-09-15 06:45 John Kozikopoulos File Added: ExtraHighlighters.7z
2018-03-04 01:03 wp Note Added: 0106845
2018-03-04 10:40 wp Fixed in Revision => https://sourceforge.net/p/lazarus-ccr/svn/HEAD/tree/components/extrasyn/
2018-03-04 10:40 wp LazTarget => -
2018-03-04 10:40 wp Note Added: 0106849
2018-03-04 10:40 wp Status assigned => resolved
2018-03-04 10:40 wp Resolution open => fixed
2018-03-06 07:58 Lagunov Aleksey Note Added: 0106908
2018-03-06 11:38 wp Note Added: 0106929
2018-03-06 12:09 Lagunov Aleksey Note Added: 0106931
2018-03-06 12:29 wp Note Added: 0106933
2018-03-06 13:08 Lagunov Aleksey Note Added: 0106936
2018-03-06 13:35 wp Note Added: 0106938
2018-03-06 14:44 Renat Suleymanov Note Added: 0106947
2018-03-06 16:00 wp Note Added: 0106955